rte_comp_xform(3)

NAME
rte_comp_xform

SYNOPSIS

#include <rte_comp.h>

  Data Fields

enum rte_comp_xform_type type

Detailed Description

Compression transform structure.

This is used to specify the compression transforms required. Each transform structure can hold a single transform, the type field is used to specify which transform is contained within the union.

Definition at line 362 of file rte_comp.h.

Field Documentation

  enum rte_comp_xform_type type
xform type

Definition at line 363 of file rte_comp.h.

  struct rte_comp_compress_xform compress
xform for compress operation

Definition at line 366 of file rte_comp.h.

  struct rte_comp_decompress_xform decompress
decompress xform

Definition at line 368 of file rte_comp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.